wreport::tests::TestCaseResult Struct Reference

Result of running a whole test case. More...

`#include <testrunner.h>`

## Public Member Functions

| TestCaseResult (const std::string &test_case)
void | set_setup_failed ()
void | set_setup_failed (std::exception &e)
void | set_teardown_failed ()
void | set_teardown_failed (std::exception &e)
void | add_test_method (TestMethodResult &&e)
bool | is_success () const
unsigned long long | elapsed_ns () const

## Data Fields

std::string | test_case
| Name of the test case.
std::vector< TestMethodResult > | methods
| Outcome of all the methods that have been run.
std::string | fail_setup
| Set to a non-empty string if the setup method of the test case failed.
std::string | fail_teardown
| Set to a non-empty string if the teardown method of the test case failed.
bool | skipped = false
| Set to true if this test case has been skipped.

## Detailed Description

Result of running a whole test case.

The documentation for this struct was generated from the following file:

- testrunner.h